Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046988
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2021-06-04 13:112021-07-23 12:45
ReportermaiteView Statuspublic 
Assigned Torqueralta 
PriorityurgentResolutionfixedFixed in VersionRR19Q3.3
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toadrianromero
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046988: Reproducible in 19Q3 version. Deleted ticket stuck in the EWI because a NaN discount is calculated under some circumstances

DescriptionThe problem is that a Total Discount is calculated for a line of 0 (which already had a User Defined Amount discount). This total discount is calculated as a NaN value. In case this ticket is deleted it will be stuck in the Errors While Importing window with the following message: Error in OrderLoader: JSONObject["amt"] not found.
Steps To Reproduce1. Add Avalanche product to the ticket
2. Add Insect repellent product to the ticket
3. Click on Discount and apply a User Defined Amount discount of 14.50 to the Insect Repellent line (so the amount for this line is 0)
4. Click on Discount and apply a Variable discount total amount of 10 to the ticket

The discount of 10 amount will be distributed for both lines, calculating a NaN discount amount for the second line, which is wrong (attached image from the customer for reference)

TagsNo tags attached.
Attached Filespng file icon NaN.png [^] (75,775 bytes) 2021-06-04 13:13


patch file icon 0001-Fixed-BUG-46988-If-roundedDiscount-variable-is-undef.patch [^] (2,594 bytes) 2021-07-14 14:43 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2021-06-04 13:11 maite New Issue
2021-06-04 13:11 maite Assigned To => Retail
2021-06-04 13:11 maite Triggers an Emergency Pack => No
2021-06-04 13:13 maite File Added: NaN.png
2021-06-04 13:13 maite Issue Monitored: networkb
2021-06-08 10:53 marvintm Category Discounts by Total => Web POS
2021-06-17 00:51 rqueralta Assigned To Retail => rqueralta
2021-06-17 00:51 rqueralta Status new => scheduled
2021-06-23 17:32 rqueralta Issue Monitored: rqueralta
2021-07-14 14:43 rqueralta File Added: 0001-Fixed-BUG-46988-If-roundedDiscount-variable-is-undef.patch
2021-07-23 12:44 adrianromero Status scheduled => resolved
2021-07-23 12:44 adrianromero Resolution open => fixed
2021-07-23 12:45 adrianromero Review Assigned To => adrianromero
2021-07-23 12:45 adrianromero Status resolved => closed
2021-07-23 12:45 adrianromero Fixed in Version => RR19Q3.3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker